Subject: bug#66702: Add easy customization for .dir-locals.el files

From: Mauro Aranda <[email-masked]>
Date: Mon, 23 Oct 2023 17:43:35 -0300

On 23/10/23 14:16, Juri Linkov wrote:
 >> Patch attached.
 >
 > I tried it out on emacs/.dir-locals.el, and one thing that I noticed 
is that
 > it changes the order of modes by sorting them alphabetically.  I'm sure
 > people won't like if their files will get so much changes especially
 > when they intend to commit a change in a single value.

That's modify-dir-local-variable doing the sorting.

You get the same results by doing:
emacs -Q
M-x add-dir-local-variable RET nil RET foo RET t
M-x diff-buffer-with-file RET RET

Should we add a nosort option somewhere?